"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helper_1 = require("./helper");
const typescript_ilogger_1 = require("typescript-ilogger");
const test_values_1 = require("./test-values");
const error = new Error(`AWS Error`);
const completeMultipartUpload = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const copyObject = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const createBucket = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const createMultipartUpload = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const deleteBucket = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const deleteObject = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const deleteObjects = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const deleteObjectTagging = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const getObject = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const getObjectTagging = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const headBucket = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const headObject = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const putObject = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const putObjectTagging = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const uploadPart = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
jest.mock('@aws-sdk/client-s3', () => {
    return {
        S3: jest.fn().mockImplementation(() => {
            return {
                completeMultipartUpload,
                copyObject,
                createBucket,
                createMultipartUpload,
                deleteBucket,
                deleteObject,
                deleteObjects,
                deleteObjectTagging,
                getObject,
                getObjectTagging,
                headBucket,
                headObject,
                putObject,
                putObjectTagging,
                uploadPart,
            };
        }),
    };
});
const logger = new typescript_ilogger_1.Logger(typescript_ilogger_1.LogLevel.Off);
const s3HelperMock = new helper_1.S3Helper(logger);
const TestValues = new test_values_1.TestingValues();
describe(`${helper_1.S3Helper.name}.${s3HelperMock.CopyObjectAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.CopyObjectAsync(TestValues.Name, TestValues.Key, TestValues.Name, TestValues.Key);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.CreateBucketAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.CreateBucketAsync(TestValues.Name);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.DeleteBucketAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.DeleteBucketAsync(TestValues.Name);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.DeleteObjectTagsAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.DeleteObjectTagsAsync(TestValues.Name, TestValues.Name);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.DeleteObjectAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.DeleteObjectAsync(TestValues.Name, TestValues.Key);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.DeleteObjectsAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.DeleteObjectsAsync(TestValues.Name, [
            TestValues.Key,
        ]);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.GetBucketMetadataAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.GetBucketMetadataAsync(TestValues.Name);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.GetObjectAsJsonAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.GetObjectAsJsonAsync(TestValues.Name, TestValues.Key);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.GetObjectAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.GetObjectAsync(TestValues.Name, TestValues.Key);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.GetObjectContentsAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.GetObjectContentsAsync(TestValues.Name, TestValues.Key);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.GetObjectMetadataAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.GetObjectMetadataAsync(TestValues.Name, TestValues.Key);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.GetObjectTagsAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.GetObjectTagsAsync(TestValues.Name, TestValues.Key);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.MoveObjectAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.MoveObjectAsync(TestValues.Name, TestValues.Key, TestValues.Name, TestValues.Key);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.MultipartUploadCompleteAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.MultipartUploadCompleteAsync(TestValues.Name, TestValues.Key, TestValues.UploadId);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.MultipartUploadStartAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.MultipartUploadStartAsync(TestValues.Name, TestValues.Key);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.MultipartUploadUploadPartAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.MultipartUploadUploadPartAsync(TestValues.Name, TestValues.Key, TestValues.UploadId, TestValues.UploadPart, TestValues.UploadPart5Mb);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.PutObjectAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.PutObjectAsync(TestValues.Name, TestValues.Key, TestValues.Body);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.SetObjectTagAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.SetObjectTagAsync(TestValues.Name, TestValues.Key, TestValues.Name, TestValues.Name);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.S3Helper.name}.${s3HelperMock.SetObjectTagsAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = s3HelperMock.SetObjectTagsAsync(TestValues.Name, TestValues.Key, TestValues.FileTags);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
//# sourceMappingURL=helper-rejects.spec.js.map